For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate an API key
      • GETList API keys
      • GETGet an API key
      • DELDeactivate an API key
LogoLogo
SupportDashboard
EndpointsAPI Keys

List API keys

GET
/api-keys
GET
/api/v1/api-keys
$curl https://tryenvoy.ai/api/v1/api-keys \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "key_00000000-0000-0000-0000-000000000000",
4 "name": "string",
5 "organization_id": "org_00000000-0000-0000-0000-000000000000",
6 "is_active": true,
7 "created_at": "2024-01-15T09:30:00Z",
8 "updated_at": "2024-01-15T09:30:00Z",
9 "description": "string",
10 "expires_at": "2024-01-15T09:30:00Z",
11 "last_used_at": "2024-01-15T09:30:00Z"
12 }
13]

List all API keys for the organization. Key values are never returned.

Authentication: Bearer token required.

Was this page helpful?
Previous

Get an API key

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response
idstringformat: "^key_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
namestring
organization_idstringformat: "^org_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
is_activeboolean
created_atdatetime
updated_atdatetime
descriptionstring or null
expires_atdatetime or null
last_used_atdatetime or null

Errors

401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
429
Too Many Requests Error